Package: org.apache.groovy.contracts.domain

## [Java] Class ClassInvariant

- org.apache.groovy.contracts.domain.ClassInvariant

-     public class ClassInvariant
      extends Assertion

  A class-invariant assertion.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static ClassInvariant` | `DEFAULT` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassInvariant()`
    `ClassInvariant(BlockStatement blockStatement, BooleanExpression booleanExpression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Assertion` | `and, booleanExpression, or, originalBlockStatement, renew`

- - ### Field Detail

    - #### public static final ClassInvariant DEFAULT

  - ### Constructor Detail

    - #### public ClassInvariant()

    - #### public ClassInvariant(BlockStatement blockStatement, BooleanExpression booleanExpression)